### Class

# Ide SimpleToolchain

#### Description

    class Ide.SimpleToolchain : Ide.Toolchain {
      parent_instance: IdeToolchain
    }

No description available.

#### Ancestors

- IdeToolchain
- IdeObject
- GObject

#### Constructors

###### ide_simple_toolchain_new

No description available.

#### Instance methods

###### ide_simple_toolchain_set_tool_for_language

Gets the path of the compiler executable.

Available since: 3.32

##### Methods inherited from IdeToolchain (8)

###### ide_toolchain_get_display_name

No description available.

###### ide_toolchain_get_host_triplet

Gets the combination of arch-kernel-system, sometimes referred to as the “host triplet”.

Available since: 3.32

###### ide_toolchain_get_id

Gets the internal identifier of the toolchain.

Available since: 3.32

###### ide_toolchain_get_tool_for_language

Gets the path of the specified tool for the requested language. If `IDE_TOOLCHAIN_LANGUAGE_ANY` is used in the `language` field, the first tool matching `tool_id` will be returned.

Available since: 3.32

###### ide_toolchain_get_tools_for_id

Gets the list of all the paths to the specified tool id.

Available since: 3.32

###### ide_toolchain_set_display_name

No description available.

###### ide_toolchain_set_host_triplet

Sets the host system of the toolchain.

Available since: 3.32

###### ide_toolchain_set_id

Sets the internal identifier of the toolchain.

Available since: 3.32

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from IdeToolchain (3)

###### Ide.Toolchain:display-name

No description available.

###### Ide.Toolchain:host-triplet

No description available.

###### Ide.Toolchain:id

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeSimpleToolchainClass {
      IdeToolchainClass parent;

    }

###### Class members

`parent` |
    IdeToolchainClass
| No description available.